/**
*ZFS App
* There are different ways implementing an App
*/
var zfsApp = zfsApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
zfsApp.App = function () {
    this.id = 'zfsApp';
    this.name = 'ZFS';
    this.version = '6.0.28';
    this.active = false;
    this.menuIcon = '/apps/zfs/images/logo.png?v=6.0.28&';
    this.shortcutIcon = '/apps/zfs/images/logo.png?v=6.0.28&';
	this.entryUrl = '/apps/zfs/volumes_manager.html?v=6.0.28&';
	//this.entryHelpUrl = '/apps/zfs/volumes_manager_help.html?v=6.0.28&';
    var self = this;
    this.zfsAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('ZFS')){
    		return false;
    	}

      var contentURL = '/apps/zfs/volumes_manager.html?v=6.0.28&';
      var css =  ['/apps/zfs/css/zfs.css?v=6.0.28'];
      var width = 980;
      var height = 500;
    if (UNAS.is_mobile_unas()) {
      contentURL = '/apps/zfs/m/volumes_manager.html?v=6.0.28&';
      css =  ['/apps/zfs/m/css/zfs.css?v=6.0.28']
      width = getClientWH_NAS().w;
      height = getClientWH_NAS().h;
    }


		self.window=new MUI.Window({
            id: 'zfsAppWindow',
            title: UNAS._('ZFS'),
            icon: '/apps/zfs/images/logo_small.png?v=6.0.28&',
            width: width,
            height: height,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [500, 2000], 'y': [200, 3000] },
            loadMethod: 'xhr',
            contentURL: contentURL,
            require: {  css:  css},
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("ZFS",'zfsAppWindow')}
        });
    };
	this.zfsAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('ZFS');
    	UNAS.RemoveMenu('ZFS');
    	UNAS.RemoveAppFromGroups('ZFS', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('ZFS', 'Help');
    	UNAS.RemoveAppFromApps('ZFS');
    }
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'ZFS', '', this.zfsAppWindow);
	//new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'ZFS', this.zfsAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Storage', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Storage', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});

	var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('ZFS', UNAS._('ZFS')); //translate menu
        //UNAS.SetShortcutTitle('ZFS', UNAS._('ZFS')); //translate shortcut
		if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('zfsAppWindow', UNAS._('ZFS'));
        }
    }
    UNAS.LoadTranslation('/apps/zfs/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.zfsAppWindow,this.zfsAppUninstall);
};
new zfsApp.App(); //Create app
