
function refreshTreeNode_zfs(target, node) {
  var id = node.id;
  var jsonstr = "[]";
  var jsonarray = eval('(' + jsonstr + ')');
  var ref = jQuery(target).jstree(true);
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    timeout: 300000,
    dataType: "json",
    data: JSON.stringify({
      cmd: "folder_loadby",
      token: UToken,
      params: {
        dir: id
      }
    }),
    success: function(result) {
      var arrays = result.results.records || [];
      node.children = [];
      for (var i = 0; i < arrays.length; i++) {
        var arr = {
          "id": arrays[i].path,
          "text": arrays[i].foldername,
          "parent": arrays[i].path,
          "type": "folder",
          "state": {
            "opened": false,
            "selected": false
          },
        }

        ref.create_node(node, arr, "last");
      }
      ref.open_node(node);

    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      //alert(textStatus);

    }
  });
}

function initTreeData_zfs(target,sf, fn) {
  jQuery(target).jstree({
    "core": {
      'data': function(obj, callback) {
        var jsonstr = "[]";
        var jsonarray = eval('(' + jsonstr + ')');
        var url = 'xxxxxxxxxxxx/xxxxxxxxx';
        jQuery.ajax({
          type: "POST",
          url: "/wmi/index.php",
          dataType: "json",
          cache: false,
          timeout: 30000,
          data: JSON.stringify({
            cmd: "sharefolder_alload",
            token: UToken
          }),
          success: function(data) {
            var arrays = data.results.folders || [];
            for (var i = 0; i < arrays.length; i++) {
              var arr = {
                "id": arrays[i].path,
                "text": arrays[i].folder,
                "parent": "#",
                "type": "folder",
                "state": {
                  "opened": false,
                  "selected": false
                },
              }
              jsonarray.push(arr);
            }

            callback.call(this, jsonarray);

          }.bind(this),
          error: function(XMLHttpRequest, textStatus, errorThrown) {

          }

        });
      }.bind(this),
      "themes": {
        "variant": "large", //加大
        "ellipsis": true, //文字多时省略
        dots: true //取消连接线
      },
      'expand_selected_onload': false, //加载完成后默认展开所有选中节点true为选中 false为不展开
      "check_callback": true
    },

    //"plugins" : [ "wholerow","themes","types","ui","json_data"]
    "plugins": ["wholerow"]
  }).on('select_node.jstree', function(event, data) {
    refreshTreeNode_zfs(target, data.node);
    jQuery(sf).val(data.node.id);

    if (fn && typeof fn === "function") {
      fn();
    }

  }).on('changed.jstree', function(event, data) {

  });
}


function arrTrans(num, arr) {
  const iconsArr = [];
  arr.forEach((item, index) => {
    const page = Math.floor(index / num);
    if (!iconsArr[page]) {
      iconsArr[page] = [];
    }
    iconsArr[page].push(item);
  });
  return iconsArr;
}

function showPageList(){
  var ev = window.event || arguments.callee.caller.arguments[0];
  ev.stopPropagation();
  var node = jQuery(ev.currentTarget).parent('.pageitemcon');
  node.find('.pageList').slideToggle();

  document.onclick = function(e) {
    e.stopPropagation();
    jQuery('.pageList').slideUp();
  }
}

function seteChart(t, v, bg) {
  var chart = echarts.init(t);
  var option = {
    series: [{
      type: 'gauge',
      startAngle: -270,
      endAngle: 90,
      min: 0,
      max: 100,
      splitNumber: 1,
      center: ['50%', '50%'],
      radius: '100%',
      itemStyle: {
        color: bg,
      },
      progress: {
        show: true,
        width: 3,
      },
      axisLine: {
        color: '#e9e9e9',
        lineStyle: {
          width: 3,
        }
      },
      axisTick: {
        show: false
      },
      pointer: {
        show: false
      },
      splitLine: {
        show: false,
      },
      axisLabel: {
        show: false
      },
      detail: {
        offsetCenter: [9, '10%'],
        valueAnimation: true,
        formatter: function(value) {
          return '{value|' + Math.round(value) + '%}  ';
        },
        rich: {
          value: {
            textAlign: 'center',
            fontSize: 8,
            fontWeight: 400,
            color: '#222'
          }
        }
      },
      data: [{
        value: v
      }]
    }]
  };
  option && chart.setOption(option);
}


var OnChangeLanguage_zfs = null;

(function() {

  var pageTranslators_zfs = [];

  OnChangeLanguage_zfs = function(e) {
    for (var i = 0; i < pageTranslators_zfs.length; i++) {
      var node = pageTranslators_zfs[i].node;
      var p = pageTranslators_zfs[i].translateProperty;
      node[p] = window.top.UNAS._(pageTranslators_zfs[i].originalText);
    }

    function zfsTranslator(id) {
      let rt_c = document.getElementById(id);
      if (!rt_c) {
        return;
      }
      var tmp_pageTranslators = window.top.UNAS.CreateNodesTranslators(rt_c);
      pageTranslators_zfs = pageTranslators_zfs.concat(tmp_pageTranslators);
      OnChangeLanguage_zfs();
    }
    window.zfsTranslator = zfsTranslator;
  };
  OnChangeLanguage_zfs();
  window.top.UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage_zfs);
  window.addEventListener("unload", function(e) {
    window.top.UNAS.Event.removeEvent('ChangeLanguage', OnChangeLanguage_zfs);
  }, false);

})();
